Subject: Re: [SIP] SipUrl header BNF incorrect in bis

From: Gethin Liddell <[email-masked]>
Date: Thu, 1 Jun 2000 09:06:46 +0100

I agree with Rick here :) 

The quotation marks (") have been removed per the discussion, the 
use of the term "reserved" has been changed to un-reserved and 
the use of escaped characters has been clarified because of this.

However, i also thought the "," should have been removed and the 
"[" and "]" added.  I think there was just an error in transcribing all
the information into the new bis.

can we get final clarity on this matter?

thanx 

gethin

On Wed, 31 May 2000, Rick Workman wrote:
> 
> Further to Gethin's point, an earlier discussion on the unreserved characters
> for paramaters and headers doesn't seem to have been accuarately captured in the
> May bis. I think the two key requirements for these character sets are 1) they
> should be subsets of the URL reserved character set (ref RFC 2396/2732), and 2)
> they should avoid any characters which would cause ambiguities in the SIP
> grammar.
> 
> 1. It was discussed that "," should not be included in param-unreserved (and by
> extension with hnv-unreserved) "because URLs are allowed in certain headers and
> allowing commas in SIP URLs will make parsing those headers sometime
> impossible.". I thought this point was accepted, but maybe I missed something.
> 
> 2. RFC 2732 adds "[" and "]" to the URL reserved set to support IPv6 address
> syntax. As a consequence, I think these should also be added to param-unreserved
> and hnv-unreserved, since I don't think they cause any ambiguity issues.
> 
> 

-- 
Gethin Liddell
Ubiquity Software Corporation

http://www.ubiquity.net
mailto:[email-masked]

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip